Skip to main content
`Ctrl`+`K`

# MatPartitioningChacoSetEigenSolver

Set the eigensolver method for Chaco partitioner.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningChacoSetEigenSolver(MatPartitioning part, MPChacoEigenType method)

Collective

## Input Parameters

- part - the partitioning context

- method - one of `MP_CHACO_LANCZOS` or `MP_CHACO_RQI`

## Options Database Key

- -mat_partitioning_chaco_eigen_solver method - the eigensolver

## Note

The default is to use a Lanczos method. See Chaco documentation for details.

## See Also

`MatPartitioningType`, `MatPartitioning`, `MATPARTITIONINGCHACO`, `MatPartitioningChacoSetEigenTol()`, `MatPartitioningChacoSetEigenNumber()`, `MatPartitioningChacoGetEigenSolver()`

## Level

advanced

## Location

src/mat/graphops/partition/impls/chaco/chaco.c

## Implementations

MatPartitioningChacoSetEigenSolver_Chaco() in src/mat/graphops/partition/impls/chaco/chaco.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages